Feed a signal event info Ev

- « Ev::embeddableBackends

- Ev::feedSignalEvent »

- PHP Manual
- Ev
- Feed a signal event info Ev

# Ev::feedSignal

(PECL ev >= 0.2.0)

Ev::feedSignal — Feed a signal event info Ev

### Description

final public static Ev::feedSignal( int `$signum` ): void

Simulates a signal receive. It is safe to call this function at any time, from any context, including signal handlers or random threads. Its main use is to customise signal handling in the process.

Unlike Ev::feedSignalEvent(), this works regardless of which loop has registered the signal.

### Parameters

`signum`

  Signal number. See `signal(7)` man page for detals. You can use constants exported by `pcntl` extension.

### Return Values

No value is returned.

### See Also

- Ev::feedSignalEvent() - Feed signal event into the default loop